[oe-commits] [openembedded-core] 01/23: mkefidisk.sh: mount images as read-only

git at git.openembedded.org git at git.openembedded.org
Wed May 18 22:47:10 UTC 2016


rpurdie pushed a commit to branch master-next
in repository openembedded-core.

commit 9aece52a50ce71d85227f3307fa8cd5bb882ce7e
Author: Raymond Tan <raymond.tan at intel.com>
AuthorDate: Tue May 17 13:41:09 2016 +0800

    mkefidisk.sh: mount images as read-only
    
    Mount the hddimg and rootfs.img as read-only when creating the bootable
    image on the medium. Otherwise, the md5 checksum values of the hddimg will
    be altered. As this changed checksum value might cause issue for users
    whom would reuse the hddimg.
    
    Signed-off-by: Raymond Tan <raymond.tan at intel.com>
    Signed-off-by: Richard Purdie <richard.purdie at linuxfoundation.org>
---
 scripts/contrib/mkefidisk.sh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/scripts/contrib/mkefidisk.sh b/scripts/contrib/mkefidisk.sh
index 333284f..d8db3c0 100755
--- a/scripts/contrib/mkefidisk.sh
+++ b/scripts/contrib/mkefidisk.sh
@@ -369,8 +369,8 @@ mkswap $SWAP >$OUT 2>&1 || die "Failed to prepare swap"
 # Installing to $DEVICE
 #
 debug "Mounting images and device in preparation for installation"
-mount -o loop $HDDIMG $HDDIMG_MNT >$OUT 2>&1 || error "Failed to mount $HDDIMG"
-mount -o loop $HDDIMG_MNT/rootfs.img $HDDIMG_ROOTFS_MNT >$OUT 2>&1 || error "Failed to mount rootfs.img"
+mount -o ro,loop $HDDIMG $HDDIMG_MNT >$OUT 2>&1 || error "Failed to mount $HDDIMG"
+mount -o ro,loop $HDDIMG_MNT/rootfs.img $HDDIMG_ROOTFS_MNT >$OUT 2>&1 || error "Failed to mount rootfs.img"
 mount $ROOTFS $ROOTFS_MNT >$OUT 2>&1 || error "Failed to mount $ROOTFS on $ROOTFS_MNT"
 mount $BOOTFS $BOOTFS_MNT >$OUT 2>&1 || error "Failed to mount $BOOTFS on $BOOTFS_MNT"
 

-- 
To stop receiving notification emails like this one, please contact
the administrator of this repository.


More information about the Openembedded-commits mailing list